﻿.overview-content {
  background-color: white;
  border-radius: 5px;
  padding-top: 10px;
  padding-bottom: 10px;
  overflow: auto;
}
.overview-content .under-title {
  text-align: center;
}
.overview-content .title {
  text-align: center;
}
.overview-content .pagination {
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
  padding-bottom: 10px;
  border-bottom: 3px solid #F6F6F6;
}
.overview-content .pagination-item {
  font-size: 1.8rem;
  color: white;
  border-radius: 5px;
  padding: 0.25rem 2.25rem;
  border: 1px solid #4d4d4d;
  background-color: #777;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  cursor: pointer;
}
.overview-content .pagination-item-right {
  margin-left: 1rem;
}
.overview-content .pagination-item:hover {
  cursor: pointer;
  background-color: #4d4d4d;
}
.overview-content .one-day {
  padding: 0px 1rem 0px 1rem;
}
.overview-content .one-day .border-background {
  z-index: -1;
  margin-top: 0px;
  margin-bottom: 0px;
}
.overview-content .one-day h2 {
  margin-top: 10px;
  margin-top: 10px;
  margin-bottom: 0.8rem;
}
.overview-content .one-day label {
  font-weight: 600;
}
.overview-content .one-day .date {
  width: 20%;
  min-width: 60px;
}
.overview-content .one-day .contracts {
  display: flex;
  justify-content: flex-start;
  z-index: 1;
}
.overview-content .one-day .contracts .all-contracts-in-one-day {
  -webkit-flex-grow: 1;
  display: flex;
  flex-grow: 1;
  word-break: break-all;
}
.overview-content .one-day .contracts .contract-day {
  padding: 0.25rem 1rem;
  color: white;
  margin-left: 0.5rem;
  min-height: 50px;
  height: 100%;
  flex-grow: 1;
  flex-basis: 0;
}
.overview-content .one-day .contracts .contract-day .contract-name {
  color: #777;
  font-size: 16px;
  font-weight: bold;
}
.overview-content .one-day .contracts .contract-day .contract-day-resources {
  color: black;
  display: flex;
  flex-direction: column;
}
.overview-content .one-day .contracts .contract-day .contract-day-resources li {
  margin-bottom: 5px;
}
.overview-content .one-day .contracts .contract-day .contract-day-resources .contract-day-one-resource {
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  color: #4d4d4d;
  font-size: 1rem;
  font-weight: 800;
  padding: 0.5rem 0.5rem;
  height: 3.5rem;
  overflow: hidden;
  display: flex;
  align-items: center;
  position: relative;
  margin: 2px;
}
.overview-content .one-day .contracts .contract-day .contract-day-resources .contract-day-one-resource .text {
  word-break: break-all;
  overflow: hidden;
  display: flex;
  align-items: center;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2; /* number of lines to show */
  -webkit-box-orient: vertical;
}
.overview-content .one-day .contracts .contract-day .contract-day-resources .contract-day-one-resource.selected {
  opacity: 0.4;
}
.overview-content .one-day .contracts .contract-day .contract-day-resources .contract-day-one-resource.no-valid {
  opacity: 0.6;
  color: black;
}
.overview-content .one-day .no-contract {
  padding: 0.25rem 1rem;
  margin-left: 0.5rem;
  color: lightgrey;
  font-style: italic;
  font-weight: bold;
  display: flex;
  text-align: center;
  justify-content: center;
  align-items: center;
}
.overview-content .one-day .empty-contract {
  width: 97px;
}
.overview-content #contractInfoModal .tab {
  display: none;
}
.overview-content #contractInfoModal .desc-column {
  padding-right: 1rem;
}
.overview-content #contractInfoModal .desc-column .label {
  font-weight: 600;
}
.overview-content #contractInfoModal .show {
  display: block !important;
}
.overview-content #contractInfoModal .modal-header {
  padding: 1rem 1rem;
}
.overview-content #contractInfoModal .modal-header .active {
  border-bottom: 1px solid #4d4d4d;
}
.overview-content #contractInfoModal .modal-header .tabs {
  margin-right: 10px;
}
.overview-content #contractInfoModal .modal-footer .okButton {
  color: white;
  border: 1px solid #8092AC;
  background-color: #8092AC;
}
